#ifndef _MAC_H_
#define _MAC_H_


#include <mac/All.h>
#include <mac/MACLib.h>

#ifdef __cplusplus
extern "C"{
#endif

#include <audacious/plugin.h>
#include <audacious/output.h>

#ifdef __cplusplus
}
#endif

#include <pthread.h>

#include <glib.h>

#include "common.h"
#include "version.h"

typedef struct
{
    gchar *title;
    AFormat sample_format;
    unsigned int bits_per_sample;
    unsigned int channels;
    unsigned int sample_rate;
    unsigned int length_in_ms;
    unsigned int block_align;

    gint seek_to;

    IAPEDecompress *pAPEDecompress;

    GThread *decoder_thread;
    
} PlayerInfo;

#ifdef __cplusplus
extern "C"{
#endif

static void mac_about();

static int mac_is_our_file_from_vfs(gchar *filename, VFSFile *file);

static void mac_play_file(InputPlayback *data);

static void mac_stop(InputPlayback *data);

static void mac_pause(InputPlayback *data, short paused);

static void mac_mseek(InputPlayback *data, gulong time);

static void mac_seek(InputPlayback *data, int time);

static Tuple *mac_get_song_tuple(gchar *filename);

void mac_file_info_box(char *filename);

#ifdef __cplusplus
}
#endif

#endif
